within Modelica_DeviceDrivers.OperatingSystem;
function beep "it beeps."
input Real frequency;
input Real duration;

external "C" OS_beep(frequency,duration);

annotation(Include = "
#ifndef MDDBEEP
#define MDDBEEP
#define VOID void
typedef char CHAR;
typedef short SHORT;
typedef long LONG;
typedef unsigned char   u_char;
typedef unsigned short  u_short;
typedef unsigned int    u_int;
typedef unsigned long   u_long;
typedef unsigned __int64 u_int64;
#include <winsock2.h>//for compatibility reasons 
#include <windows.h> 
#include \"ModelicaUtilities.h\"
 
 
double OS_beep(double frequency, double duration)
{
  int freq = (int)frequency;
  int duration_ms = (int)(duration * 1000);
  Beep(freq,duration_ms);
 
};
 
 
#endif
 
");
end beep;
