within Modelica_DeviceDrivers.Utilities.Icons;
partial class ExamplesPackage
  "Icon for a package class which contains simulatable models"

  annotation (Documentation(info="<html>
<p>
This partial class is intended to design a <em>default icon for a package class</em> which contains different <em>simulatable</em> models.
</p>
</html>",
    revisions="<html>
<img src=\"../Extras/Images/dlr_logo.png\"  width=60 >
 &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 <b>      Copyright &copy; 2006-2007, DLR Institute of Robotics and Mechatronics</b>
</html>"),
  Icon(coordinateSystem(preserveAspectRatio=false, extent={{-100,-100},{100,100}}),
        graphics={
        Rectangle(
          extent={{-60,100},{100,-60}},
          lineColor={0,0,255},
          fillColor={255,255,255},
          fillPattern=FillPattern.Solid),
        Polygon(
          points={{-100,60},{-60,100},{-60,60},{-100,60}},
          lineColor={0,0,255},
          fillColor={255,255,255},
          fillPattern=FillPattern.Solid),
        Polygon(
          points={{60,-60},{100,-60},{60,-100},{60,-60}},
          lineColor={0,0,255},
          fillColor={255,255,255},
          fillPattern=FillPattern.Solid),
        Rectangle(
          extent={{-100,60},{60,-100}},
          lineColor={0,0,255},
          fillColor={150,255,150},
          fillPattern=FillPattern.Solid),
        Polygon(
          points={{-52,16},{30,-24},{-52,-60},{-52,16}},
          lineColor={0,0,255},
          pattern=LinePattern.None,
          fillColor={0,0,0},
          fillPattern=FillPattern.Solid)}));
end ExamplesPackage;
